/*
 *  loginuser.c
 *
 *	This program source code and it's compiled version is
 *  Copyright (c) 1991 N. Hawthorn.
 *  This program source code and it's compiled version IS NOT IN THE
 *  PUBLIC DOMAIN ! Please read the "COPYRIGHT NOTICE / NH" file for details
 *  regarding use of this program source code and it's compiled version.
 *
 *
 *
 *
 */

#define INMAIN

#include <SetUpA4.h>
#include "MUBBS Module.h"

#define MAXFILETRIES 5

#define NEWUSERLEVEL "1"

struct PPP {
			char passstring[260]; /* the string to pass to the module */
			int field;   /* the field to get */
			int uerror;   /* any errors found ? */
			};


pascal void main (mode1,G1,P1) /* called from the main routines, and what mode to be in */
int mode1;
struct GS *G1; /* we point to the "global" struct in the Main Module here */
Ptr P1; /* we ignore this pointer, we do not use it at all */
{
Handle temph;
float version = 0.5; /* what version of MUBBS you are compatable with IE: .5 and above */
RememberA0(); SetUpA4(); /* This sets up the A4 register to access our globals */
asm { _RecoverHandle }; asm {move.l a0,temph}; HLock(temph); /* locks our module, do this ! */

G=G1; /* This MUST be the first thing you do in main only, it sets up the struct globals */
mode[u]=mode1; /* set up our mode so that you can read it anywhere */

switch (mode[u]) { /* any un-handled modes return error from this module */
	case 2:
		getuser();
		G->moduleresult=0;
		break;
	case 98:
		versionck(version); /* just return after this call, don't modify anything */
		break;		
	case 0:
		strcpy (G->programmer,"N Hawthorn"); /* show the programmer's name up to 20 chars*/
		G->moduleresult=0; /* this was also a init call if we need close call put 99 here */
		break;
	default:
		G->moduleresult=1; /* return bad code */
	};

HUnlock(temph); /* unlocks this module, do this ! */
RestoreA4(); /* call this when you are all done */
}



newuser()
{
int tries,badpass,badname,bad,i,l;
char tempname[maxnamelength];
char tempalias[maxnamelength];
char temppass[maxnamelength];
char tempaddress[maxnamelength];
char tempcity[maxnamelength];
char tempphone[maxnamelength];
char tempmachine[maxnamelength];
char templevel[maxnamelength];
char tempsettings[maxnamelength];
char tempbirth[maxnamelength];
char tempextras[maxnamelength];
char tempmins[maxnamelength];
char temptimes[maxnamelength];
char tempupdown[maxnamelength];
char tempcomments[258];
char temp[128];
char datetime[25];
FILE *stream;

badpass = 2; /* reset the number of tries for a password enter (two only) */
badname = 5; /* reset the number of tries for a correct name enter (five only) */
G->userlines[u]=24; /* set lines for a normal terminal */

backdis1:
G->okcancel[u]=FALSE; /* dont allow them to cancel this text */
sendtext (":bbssupport:newuser1.txt");
G->okcancel[u]=TRUE; /* ok to cancel on text output */
if (!G->online[u]) return FALSE;

backname:
bad = FALSE;
loguser("New User Login");
send("]Please enter the FULL name you would like]");
send("to use or \"QUIT\" (press RETURN to review the text) :");
portsin(G->username[u], 30);
if (! G->online[u]) return FALSE; /* portsin returns online for a time out */
print("C> NEW USER SELECTED THE NAME: \"%s\"\n",G->username[u]);
send(G->CR[u]);
if (strlen(G->username[u]) < 1) { goto backdis1; }
if (strlen(G->username[u]) < 4) { send ("]Thats a FULL name ?]"); bad = TRUE; }
strcpy(tempname,G->username[u]);
strtoupper(tempname);
if (strcmp(tempname,"QUIT") == 0) return FALSE;
if (strchr(G->username[u], '*')) bad = TRUE;	/* returns TRUE if it's "*" */
if (strchr(G->username[u], ':')) bad = TRUE;	/* returns TRUE if it's ":" */
if (strchr(G->username[u], '\\')) bad = TRUE;	/* returns TRUE if it's "\" */
if (strchr(G->username[u], '~')) bad = TRUE;	/* returns TRUE if it's "~" */
if (bad) {
	if (strlen(G->username[u]) > 3) {
		send("]Illegal character in name ! Please try again..]");
		}
	if (--badname > 0) goto backname;
	return FALSE;
	}
l = strlen(G->username[u]); /* Makes uppercase first names */
i = 0;
do {
	if (i == 0) G->username[u][i] = toupper(G->username[u][i]);
	if ((i > 0) && (G->username[u][i-1] == '\x20')) G->username[u][i] = toupper(G->username[u][i]);
	} while (++i < l);
send("]Your USERNAME will be \"%s\"]",G->username[u]);

badname = 5; /* use badname again here */
namecor1:
if (!(cmd1("]Is your name above correct (Yes,No) ?"))) return FALSE; /* timeout */
send(G->CR[u]);
if (G->input[u] =='N') {
	send ("]Sorry...]");
	goto backname;
	}
if (G->input[u] !='Y') {
	if (--badname > 0) goto namecor1;
	return FALSE;
	}
G->userpriv[u]=1; /* default priviledges */

send("]Searching userlist for duplicate name...]");
strcpy(tempname,G->username[u]);
strtoupper(tempname);
if(strcmp(tempname,"SYSOP") == 0) goto badname;
if(strcmp(tempname,"SYSTEM") == 0) goto badname;
if(strcmp(tempname,"FINDER") == 0) goto badname;
if(strcmp(tempname,"ANYONE") == 0) goto badname;
if(strcmp(tempname,"TOALLMSG") == 0) goto badname;
if(strcmp(tempname,"DELETE") == 0) goto badname;
if ( ! getuserinfo(G->username[u])) goto passagain; /* see if this user already exists */

badname:
send ("]]Sorry, that name is currently in use. Please select another...]");
goto backname;

passagain:
send("]]Please enter the \"secret\" password you would like to use,");
send("]WRITE IT DOWN !! (min 4 characters) :");
portsin(temp, 30);
send(G->CR[u]);
if (! G->online[u]) return FALSE; /* returns online for a time out */
if (strlen(temp) < 4) {
	send("]PLEASE ENTER AT LEAST 4 CHARACTERS !!!]");
	goto passagain;
	}
strtoupper(temp); /* uppercase the password */
send("]]]]]Now enter it again to check it (stars echo)...]");
if ( ! getpass(temp,1)) { /* give them level one access for now */
	send("]PASSWORD ENTERED INCORRECTLY !!, try again...]");
	goto passagain;
	}
strcpy(temppass,temp);
G->okcancel[u]=FALSE; /* dont allow them to cancel */
sendtext (":bbssupport:newuser2.txt");
G->okcancel[u]=TRUE; /* ok to cancel on text output */
if (!G->online[u]) return FALSE;
send("]Please enter your street address (City and state will be");
send("]asked for on the next line) :");
portsin(temp, 30);
send(G->CR[u]);
if (! G->online[u]) return FALSE; /* returns online for a time out */
strcpy(tempaddress,temp);
send("]Please enter your City (and a comma), State and Zip :");
portsin(temp, 30);
send(G->CR[u]);
if (! G->online[u]) return FALSE; /* returns online for a time out */
strcpy(tempcity,temp);
print("C> NEW USER IS FROM: \"%s\"\n",tempcity);
send("]Phone number (with area code) :");
portsin(temp, 30);
send(G->CR[u]);
if (! G->online[u]) return FALSE; /* returns online for a time out */
strcpy(tempphone,temp);
send("]What type of computer are you using ?");
portsin(temp, 30);
send(G->CR[u]);
if (! G->online[u]) return FALSE; /* returns online for a time out */
strcpy(tempmachine,temp);
G->okcancel[u]=FALSE; /* dont allow them to cancel */
sendtext (":bbssupport:newuser3.txt");
G->okcancel[u]=TRUE; /* ok to cancel on text output */
if (!G->online[u]) return FALSE;
send("]]Thank you, now creating your user file.....]");
getdatetime(datetime); /* gets the date & time */

tries = 0;
bsylpr1:
if ((stream = fopen(":user:userlist", "a")) == NULL) {	/* add to the file */
	if (++tries < MAXFILETRIES) {
		send("]PLEASE STANDBY");
		wait(1); /* wait just a bit */
		goto bsylpr1;
		}
	print("C> FILE ERROR - Can't open :user:userlist!\n");
	send("]FILE ERROR - Can't open the userlist file!");
	send("]YOUR DATA MAY NOT APPEAR IN THE LIST, NOTIFY A SYSOP !!]");
	}

else {
	strcpy(tempalias,"noalias"); /* no alias is used on this system */
	strcpy(templevel,NEWUSERLEVEL);
	strcpy(tempsettings,"24,0,0,0,0,0,0,0,0,0"); /* 24 lines, No default protocol, Privacy off, */
	strcpy(tempextras,"EXTRAS");	/*	Language normal, Log mode off, extras for later use */
	strcpy(tempcomments,"comments");
	strcpy(tempupdown,"0,0");
	strcpy(tempbirth,""); /* birth to be added later */
	strcpy(temptimes,"0");
	strcpy(tempmins,"1,60"); /* Minutes on last time, Minutes allowed on */
	if (fprintf(stream,"%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-30s~\n%-255s~\n",
			G->username[u],   /* the user's name */
			tempalias,   /* the user's alais name, not used yet */
			temppass,   /* the user's password */
			templevel,   /* the user's access level */
			tempaddress,   /* the user's address */
			tempcity,   /* the user's city and state */
			tempphone,   /* the user's phone number */
			tempmachine,   /* the user's machine */
			datetime,    /* date first logged in */
			tempsettings,     /* user's settings */
			tempbirth,     /* gender, age, birthday */
			tempextras,      /* RESERVED for later use */
			tempextras,      /* RESERVED for later use */
			temptimes,   /* the number of times this user has been on */
			datetime,   /* the last date user was on */
			tempmins,   /* the time the user was on last time */
			tempupdown,      /* uploads/downloads count */
			tempcomments /* comments field for the user */
			) == EOF) print("C> bad fprintf conversion\n");
fclose(stream);
 }

tries = 0;
bsylpr:
if ((stream = fopen(":logs:userlog", "a")) == NULL) {	/* add to the file */
	if (++tries < MAXFILETRIES) {
		send("]PLEASE STANDBY ");
		wait(1); /* wait just a bit */
		goto bsylpr;
		}
	print("C> FILE ERROR - Can't open the userlog file!\n");
	send("]FILE ERROR - Can't open the userlog file!");
	}
else {
	if (fprintf(stream, "%s %s %s LINE=%d  <<<< NEW USER LOGIN !!\n", datetime, G->username[u], G->userbaud[u], (u+1)) < 0) {
		send("]FILE ERROR - userlog file file has problem writing]");
		fclose(stream);
		}
	}
fclose(stream);

send("]]Logging new user on....]]");
if ( ! getuserinfo(G->username[u])) {	; /* get the user's file location */
	send ("]]Sorry, something messed up in getting your user info, please try]");
	send ("calling again...]");
	G->online[u]=FALSE; /* log them off */
	return TRUE;
	}

putuseron(); /* put the user on the system & get his info */

return TRUE;
}


getuserinfo(gettemp)
char *gettemp;
{
char tempname[maxnamelength];
char temp1[maxnamelength],temp2[maxnamelength];
char tchar[258];
int count;
long pos;
FILE *stream;

if ((stream = fopen(":user:userlist", "r")) == NULL) {
    print("C> FILE ERROR - cannot open :bbsuser:userlist\n");
	send("]FILE ERROR - Can't open the user list file !]");
	return FALSE;
	}
count = 0;
pos=0;
sprintf(temp2,"%-30s",gettemp); /* Prepare the user name for compare */
strtoupper(temp2);

while (TRUE){

	if(fseek(stream,pos,0) != 0) print("C> Fseek failed\n"); /* go to the record */
	fgets(tchar,33,stream); if (feof(stream)) goto goteof; sscanf(tchar,"%30[^~]",tempname); /* the user's name */
	strcpy(temp1,tempname); /* save the actual name for later */
	strtoupper(tempname);
	if (strcmp(tempname,temp2) == 0) {
		G->userfilepos[u]=pos; /* save the file position for later reference */
		removespaces(temp1); /* takes out trailing spaces */
		strcpy(gettemp,temp1); /* make their name correct */
		fclose(stream);
		return TRUE;
		}
	otheruser(FALSE); /* do switch */
	if ((++count % 10) == 0) {sendnc (".");} /* show dots */
	pos=pos+801; /* move up a record */
	}
goteof:
fclose(stream);
return FALSE;  /* user was not found */

}


getuser()
{
int tries,badpass,badname,tempint,sysop;
char tempname[258], temppass[258];
char datetime[25];
struct PPP P; /* make the struct here ! */
FILE *stream;

badpass = 2; /* reset the number of tries for a password enter (two only) */
badname = 5; /* reset the number of tries for a correct name enter (five only) */

if (!G->online[u]) goto hahalogout; /* do this check so we can log out if hang up */

sysop=FALSE;
if (strcmp(G->username[u],G->sysopname) == 0){ /* has the sysopname been entered? */
	sysop=TRUE;
	goto gosysop;
	}

backname:
sysop=FALSE;
loguser("Entering Login Name");
send("]Please enter your user name, \"QUIT\" to LOG OFF,]");
send("or \"NEW\" if you are new here :");
portsin(G->username[u], 30);
if (! G->online[u]) return TRUE; /* portsin returns online for a time out */
send(G->CR[u]);
if (strlen(G->username[u]) < 1) {
	send ("]Blank names not allowed.]");
	if (--badname > 0) goto backname;
	send("]]WOW! That was a waste of time !!   Bye...]");
	goto hahalogout;
	}
strtoupper(G->username[u]);
if (strcmp(G->username[u],"NEW") == 0){
	if (newuser()) return TRUE;
	if (! G->online[u]) return TRUE;
	goto backname;
	}
if (strcmp(G->username[u],"QUIT") == 0) {
	G->online[u]=FALSE;
	return FALSE;
	}

gosysop:
send("]Searching userlist....]");
if ( ! getuserinfo(G->username[u])) {	; /* see if this user exists */
	send ("]]Sorry, I cannot find your name in the user list, please try again or]");
	send ("if you are new here, enter \"NEW\" as a user name..]");
	goto backname;
	}

P.field = 3; /* Get the user's field #3 (password) */
module (3,"getuserfield",&P); /* int mode & module's name & pointer to the P struct */
strcpy(temppass,P.passstring); /* move it so we can work with it */
removespaces(temppass); /* takes out trailing spaces */

P.field = 4; /* Get the user's field #4 (user's priv level) */
module (3,"getuserfield",&P); /* int mode & module's name & pointer to the P struct */
strcpy(tempname,P.passstring); /* move it so we can work with it */
tempint=strtoint(tempname); /* set the priviledges, use tempname str again */

if(sysop){
	G->userpriv[u]=tempint; /* do this for the sysop only, only on LOCAL */
	goto oklogon;
	}
if (getpass(temppass,tempint)) goto oklogon;
if (--badpass > 0) {
	send("]]That's not your password !! Please try again...]]STANDBY..]]");
	wait(8);
	goto backname;
	}

getdatetime(datetime); /* gets the date & time */

tries = 0;
bsylp:
if ((stream = fopen(":logs:userlog", "a")) == NULL) {	/* add to the file */
	if (++tries < MAXFILETRIES) {
		print("C> PLEASE STANDBY\n");
		wait(1); /* wait just a bit */
		goto bsylp;
		}
	print("C> FILE ERROR - Can't open the userlog file!\n");
	}
else {
	if (fprintf(stream, "ACCESS DENIED !! %s %s %s LINE=%d\n", datetime, G->username[u], G->userbaud[u], (u+1)) < 0) {
		print("C> FILE ERROR - userlog file file has problem writing\n");
		fclose(stream);
		}
	}
fclose(stream);
print("C> ACCESS DENIED TO: %s %s LINE=%d\n", G->username[u], G->userbaud[u], (u+1));
send("]]ACCESS DENIED..]]");

hahalogout:
G->online[u]=FALSE;
return TRUE;

oklogon:

putuseron(); /* put the user on the system & get his info */
}


putuseron(){

int tries,tempint;
char tempname[520], templines[maxnamelength];
char datetime[25],
	tempxfer[maxnamelength],
	tempprivacy[maxnamelength],
	templanguage[maxnamelength],
	templogmode[maxnamelength],
	tempextra[maxnamelength];
struct PPP P; /* make the struct here ! */
FILE *stream;


send("]Welcome, %s !]",G->username[u]);
getdatetime(datetime); /* gets the date & time */
G->logincounts++;

P.field = 14; /* Get the user's field #14 (the times called) */
module (3,"getuserfield",&P); /* int mode & module's name & pointer to the P struct */
strcpy(tempname,P.passstring); /* move it so we can work with it */
tempint=strtoint(tempname);
tempint++; /* up the users times called */
inttostr(tempint,tempname);

sprintf(P.passstring,"%-30s~\n",tempname); /* make sure it's the correct length !! */
P.field = 14; /* Replace user's field #14 (the times called) */
module (3,"putuserfield",&P); /* int mode & module's name & pointer to the P struct */

if ( ! P.uerror) send("]ERROR TRYING TO UPDATE USER FIELD 13]");

G->usertimes[u]=tempint; /* now we can check for a new user !! */
send("]You are caller #%ld, you have called %d times,]",G->logincounts,G->usertimes[u]);

P.field = 15; /* Get the user's field #15 (users last on time) */
module (3,"getuserfield",&P); /* int mode & module's name & pointer to the P struct */
strcpy(tempname,P.passstring); /* move it so we can work with it */
removespaces(tempname); /* takes out trailing spaces */
strcpy(G->userlast[u],tempname);
send("last on at %s.]]",tempname);

sprintf(P.passstring,"%-30s~\n",datetime); /* make sure it's the correct length !! */
P.field = 15; /* Replace user's field #15 (users last on time) */
module (3,"putuserfield",&P); /* int mode & module's name & pointer to the P struct */

if ( ! P.uerror) send("]ERROR TRYING TO UPDATE USER FIELD 12]");


P.field = 10; /* Get the user's field #10 (the users settings) */
module (3,"getuserfield",&P); /* int mode & module's name & pointer to the P struct */
strcpy(tempname,P.passstring); /* move it so we can work with it */

removespaces(tempname); /* takes out trailing spaces */
sscanf(tempname,"%10[^,],%10[^,],%10[^,],%10[^,],%10[^,],%30s",
		templines,tempxfer,tempprivacy,templanguage,templogmode,tempextra);
G->userlines[u]= strtoint(templines); /* read the terminal line settings */
G->privacy[u]= strtoint(tempprivacy); /* read the privacy settings */
G->language[u]= strtoint(templanguage); /* read the language settings */
G->logmode[u]= strtoint(templogmode); /* read the log mode settings */

P.field = 16; /* Get the user's field #16 (the time on last and time allowed) */
module (3,"getuserfield",&P); /* int mode & module's name & pointer to the P struct */
strcpy(tempname,P.passstring); /* move it so we can work with it */

removespaces(tempname); /* takes out trailing spaces */
sscanf(tempname,"%30[^,],%30[^,],%30s",
		templines,tempxfer,tempextra);
G->timeallowed[u]= strtoint(tempxfer); /* read the time the user's allowed on for */


loguser("Logged on....");
tries = 0;
bsylpr:
if ((stream = fopen(":logs:userlog", "a")) == NULL) {	/* add to the file */
	if (++tries < MAXFILETRIES) {
		send("]PLEASE STANDBY..");
		wait(1); /* wait just a bit */
		goto bsylpr;
		}
	print("C> FILE ERROR - Can't open the userlog file!\n");
	send("]FILE ERROR - Can't open the userlog file!");
	}
else {
	if (fprintf(stream, "%s %s %s PRV=%d L#=%d\n", datetime, G->username[u], G->userbaud[u], G->userpriv[u], (u+1)) < 0) {
		send("]FILE ERROR - userlog file file has problem writing]");
		fclose(stream);
		}
	}
fclose(stream);
print("C> LOGIN, user is :%s at %s baud on line #%d with access :%d\n",G->username[u],G->userbaud[u],(u+1),G->userpriv[u]);
send("]]Login, line %d at %s]", (u+1), datetime);
G->logins++; /* show we have a valid log in */
G->timeon[u]=0; /* reset the users time on */
return TRUE;
}

getpass(pass,level)
char *pass;
int level;
{
char temp[128];
send("]Password :");
passportsin(temp, 30);
strtoupper(temp); /* uppercase the password */
send(G->CR[u]);
if (! G->online[u]) return FALSE; /* returns online for a time out */
if (strcmp(temp,pass) == 0) {
	G->userpriv[u]=level;
	return TRUE;
	}
return FALSE;
}

